MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001014VCMIMechanics - Battlespublic2012-06-18 08:572013-12-08 18:06
Reportervmonkey 
Assigned Tobeegee 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSUbuntuOS Version12.04
Product Version0.89 
Target VersionFixed in Version 
Summary0001014: Catapult can't shoot on castle gate
DescriptionI think this issue is related to the one reported before (http://bugs.vcmi.eu/view.php?id=785 [^]). Because it is marked as solved, I create this new issue.
When choosing castle gate as the aim of catapult, then it skips its turn and shows error message. In the original HOMM3 it was possible to shoot at the gate.

Issue persists at least when attacking Conflux.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000785closedTow using catapult on non-wall hex 
child of 0001065assignedDydzio H3-VCMI discrepancies regarding wall/turret sections which can be targeted (and related errors) 

-  Notes
(0002915)
randomed (reporter)
2012-08-19 09:03
edited on: 2012-08-20 13:34

I've tested this and it's confirmed for all castles. The error message says that there's no (catapult) curve calculated for hex 95 or 96.

There's another problem, but it is closely related to this one. You can aim with the catapult at the gate's edges (small towers near the game), even though they are supposed to be indestructible.

I've just started looking over the code, but the problem seems to be in one of these functions: isCatapultAttackable, battleGetWallUnderHex, hexToWallPart. Can't pinpoint exactly what it is.

(0002974)
randomed (reporter)
2012-09-01 11:56

Well, for one thing, it seems that in runBattle(), wallHexes are defined like this:
wallHexes = 50, 183, 182, 130, 62, 29, 12, 95
and in hexToWallPart() like this:
wallHexes = 50, 183, 182, 130, 62, 29, 12, 95, 96 plus the indestructable parts.

In the second one, hex 96 is added. Not sure why.
(0002975)
Zamolxis (viewer)
2012-09-01 23:29

I added relation to 0000785.

But there are many more discrepancies. See 0001065. If you check the report, you'll see it seems there are even other files defining wall targets than those two wallHexes you mentioned above. At least that's how it looks like, because:
- hexes 45, 78, 112, 147 can be targeted as well, but they're missing from the files you quote
- if we hit hex 12, the turret is destroyed, but if we hit hex 183, the turret remains in place
So there seem to be multiple lists, some listing possible targets, others defining which/how should take damage, but they are not all in sync.
(0004171)
beegee (developer)
2013-12-08 18:06

This problem has been fixed in the meantime. I don't know since which version you can shoot on castle gate.

- Issue History
Date Modified Username Field Change
2012-06-18 08:57 vmonkey New Issue
2012-08-19 09:03 randomed Note Added: 0002915
2012-08-19 09:12 randomed Note Edited: 0002915 View Revisions
2012-08-20 13:34 randomed Note Edited: 0002915 View Revisions
2012-09-01 11:56 randomed Note Added: 0002974
2012-09-01 21:08 Zamolxis Relationship added related to 0000785
2012-09-01 23:29 Zamolxis Note Added: 0002975
2012-09-01 23:30 Zamolxis Relationship added child of 0001065
2013-12-08 18:06 beegee Note Added: 0004171
2013-12-08 18:06 beegee Status new => resolved
2013-12-08 18:06 beegee Resolution open => fixed
2013-12-08 18:06 beegee Assigned To => beegee

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean